require "import"
import "android.media.MediaPlayer"

function get_file_path(filename)
  local path1 = "/storage/emulated/0/解说/Plugins/" .. filename
  local path2 = "/storage/emulated/0/解说/Complementos/" .. filename
  if file_exists(path1) then
    return path1
  elseif file_exists(path2) then
    return path2
  else
    return nil
  end
end

function file_exists(path)
  local file = io.open(path, "r")
  if file then
    io.close(file)
    return true
  else
    return false
  end
end

-- Lista de archivos de sonido


files = { 
"hora y nivel de batería piratas/1.m4a"
}
function play_music(index, volume)
local file_path = get_file_path(files[index])
if file_path == nil then
print("Archivo no encontrado: " .. files[index])
return
end
local mp = MediaPlayer()
mp.setDataSource(file_path)

  mp.setVolume(volume, volume)
  mp.prepare()
  mp.start()
  mp.setOnCompletionListener(MediaPlayer.OnCompletionListener {
      onCompletion = function()
          mp.release()
      end
  })
end


play_music(1, 0.3)







local function obtenerNivelBateria()
  local nivel = this.getBatteryLevel()
  if nivel == "unknown" then
    return "desconocido"
  else
    return nivel .. " por ciento"
  end
end

local function obtenerHoraActual()
  local hora = os.date("%I:%M %p")
  return hora
end

-- Función para decir la hora actual y nivel de batería
local function decirHoraYBateria()
  local hora = obtenerHoraActual()
  local nivel_bateria = obtenerNivelBateria()
  service.asyncSpeak("actualmente son las " .. hora .. ". y tú batería estáal , " .. nivel_bateria)
end

decirHoraYBateria()